Skip to main content
PUT
Update currency

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The currency ID

Example:

1

Body

application/json
name
string

Currency name (max 255 characters). Must not be greater than 255 characters.

Example:

"USD"

symbol
string

Currency symbol (max 10 characters). Must not be greater than 10 characters.

Example:

"$"

iso_numeric
string | null

ISO numeric code (max 3 characters). Must not be greater than 3 characters.

Example:

"840"

decimal_places
integer

Number of decimal places (0-10). Must be at least 0. Must not be greater than 10.

Example:

2

full_name
string | null

Full currency name (max 255 characters). Must not be greater than 255 characters.

Example:

"United States Dollar"

rounding
number | null

Rounding precision (minimum 0). Must be at least 0.

Example:

0.01

active
boolean

Whether the currency is active.

Example:

false

Response

Success